<!-- <div *ngFor="let producto of products"> -->
  <!-- <a routerLink="/productos/{{producto.id}}">{{producto.name}}</a> -->
  <!-- <a [routerLink]='["/productos/", productId]'></a> -->
<!-- </div> -->


<div class="row row-cols-1 row-cols-md-3 g-4">
  <div *ngFor="let item of products" class="col"> <!--aqui va el ngFor-->
    <div class="card">
      <img src="{{item.img}}" class="card-img-top" alt="{{item.name}}">
      <div class="card-body">
        <h5 class="card-title">{{item.name}}</h5>
        <p class="card-text">This is a longer card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.</p>
        <small>{{item.category}}</small>
        <div class="d-grid gap-2 d-md-flex justify-content-md-center">
          <button routerLink="/productos/{{item.id}}" class="btn btn-primary me-md-2" type="button">+Info</button>
        </div>
      </div>
    </div>
  </div>
</div>
